Get interest accrual summary

Get an account interest accrual summary with filter options.

Using the beginDate and endDate query parameters, you can specify a time period of up to 60 days. However, for the period between 31 and 60 days, the interest_accruals_ids field is omitted in the response. This is done because the list of IDs can get very large for a 60-day period. If you specify a period greater than 60 days, the endpoint returns an error.

Note: This endpoint requires an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
≥ 1

Account ID

Query Params
string
required

Beginning date filter. Return statements that have opening date after or equal to this date. Default value is account creation date. Format = yyyy-mm-dd.

string
required

End date filter. Return statements that have opening date before or equal to this date. Default value is today's date. Format = yyyy-mm-dd.

string
enum
Defaults to false

Omit interest accrual IDs in the API response?

If the period specified using the beginDate and endDate query parameters is greater than 30 days, interest accrual IDs are automatically omitted. Setting omitId to true causes the API to omit interest accrual IDs even when the specified period is 30 days or less. Using this parameter is recommended to improve performance.

Allowed:
string
enum

Interest accrual type. Possible values:

  • OVERDUE: Daily charge applied to an unpaid balance if the minimum amount due (MAD) has not been paid.
  • REFINANCING: Daily charge applied to an unpaid balance if the MAD has been paid, but the total amount due has not.
  • IOF: Brazilian tax
  • FINE: One-time charge that's applied on the day an account becomes overdue.
Allowed:
string
enum
required

Status interest accrual filter. Possible values:

  • PENDING: Accrual has been calculated but has not yet generated a transaction.
  • PROCESSED: Accrual has been processed and a transaction has been generated.
  • STOP_ACCRUAL: Due to a program parameter, the accrual has reached the maximum number of days to be posted as a transaction. For more information, refer to Limiting the number of days accruals can be charged.
  • SETTLED: Accrual transaction has been settled.
Allowed:
int32
Defaults to 1

Page number

int32

Items per page. Default is 10.

Responses

Language
Credentials
Bearer
Account JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json